#发起工作流程
所有通用的按钮的js都存放在platform/actions下
1. js名称：BaseStartWorkflowAction。流程启动的窗口js是process/vciWebStartProcess
2. 功能作用。
   - 新创建工作流程
   - 支持发起单条数据发起和多条发起流程
   - 流程执行时的数据页面执行自定义编写和UI配置的方式
3. 参数的使用
    |参数名字|参数说明|参数示例|
    |:--:|:--:|:--:|
    |processClassify|流程分类|它与平台的流程模板分类对应|
    |multiProcess|发起多条流程|在选择多条业务数据后，发起多条流程，每一条业务数据一个流程实例|
    |checkNotProcess|属性的值符合条件时不能发起|xxx=yyy&zzz=aaa的方式。使用&分割，=前是属性，=后是属性的值。只要一个条件满足后就不能发起流程|
    |checkNotProcessMsg|不能发起时的提示语句|默认"当前数据不允许发起流程",支持${xxx}和sourceData.${xxx}表达式|
    |title|窗口的标题|默认为启动流程。支持${xxx}和sourceData.${xxx}表达式|
    |width|窗口的宽度|默认是由layer自适应的|
    |height|窗口的高度|默认是由layer自适应的|
    |canUseTemplate|可以使用的流程模板，用英文逗号分割|一般不配置，不配置时表示流程模板分类下的模板都可以使用|
    |variablesInfo|扩展参数的信息，在流程事件或者是页面展示时使用|xxx=yyy&zzz=aaa的方式。使用&分割，=前是属性，=后是属性的值。|
    |uiType|界面展示时所需的业务类型|没有设置的时候，默认为当前发起的数据的业务类型|
    |content|流程执行的时候，显示的UI上下文|对应平台里配置的UI上下文|
    |table|流程执行的时候，显示的列表|对应平台中配置的表格的英文名称。优先级高于content|
    |detailUrl|流程执行的时候，显示的自定义页面|优先级大于table。格式为USEJS://XXXXX?xx=yy&zz=a。自己编写的页面需要配置.content,table,detailUrl都没有配置时，显示数据的业务类型里的默认的processTaskUI这个UI上下文|
    |autoProcessName|自动封装流程实例的名称|默认为空，支持${xxx}和sourceData.${xxx}表达式。是替换的方式|
    |alwaysDisplayNext|始终显示下一负责人|true时表示流程在执行的时候始终显示下一负责人|
    |resetStatus|终止的时候重置状态|设置生命周期的状态|
    |startStatus|启动流程成功后，转换状态||
    |   |前后置事件||
    |beforeEvent|发起流程的窗口显示之前执行的事件|checkNotProcess配置不能满足要求的时候可以使用这个前置事件来做处理|
    |afterEvent|窗口关闭的后置事件||
    |   |前后置事件的值使用标准的配置|jsPath#methodName?param=aaa&param1=bbb|
4. 流程待办任务的处理
  - 首页的流程待办任务，点击任务的名称可以直接弹出流程任务的执行页面。
  - 首页右侧的头像的下拉菜单中，选择
     
   
     
