#自定义页面的js处理
采用Layui的多组件的方式构建自定义页面。
1. js路径规范
   - 平台通用的组件，都放到lay/platform/plugins这个文件夹
   - 个性化业务的组件，都在vciweb下面
2. 名称配置说明
   - 如果名称需要简写，需要在layui.js的modules或者vciAlias.js里配置 
   - 建议平台通用的组件都简写，非平台通用的如果也需要简写，则在vciAlias.js里配置
3. 每个组件的id需要自行编写，且不能重复
4. 方法说明
   - getContent(id,options) 获取这个组件的html内容，这个html内容会被加到自定义组件所在的div里。需要自行存储options.包含的参数如下
      
      |参数名字|参数说明|参数示例|
      |:--:|:--:|:--:|
      |id|组件的唯一标识符|一般是自定义组件的配置信息中的oid|
      |options|自定义组件的配置属性|从customerClass里?后的参数获取得来，再加上组件的配置componentVO;来源数据sourceData;当前面板thisUI| 
       
   - init(id,options) 初始化方法，比如面板的初始化，但是不会自动加载数据，参数的内容与getContent一样
   - loadByUI(id,options,selectData) 加载数据的方法
   
        |参数名字|参数说明|参数示例|
        |:--:|:--:|:--:|
        |selectData|上一个区域选择的数据|需要封装为数组，如果上一个区域为tree,则获取节点上的attributes|
        |options|可以重载之前的配置|需要完全对应到属性名称|  
        
   - refresh(id,thisButton) 刷新当前组件的方法
   
     |参数名字|参数说明|参数示例|
     |:--:|:--:|:--:|
     |thisButton|刷新按钮的对象|直接获取按钮的作用域的this对象，比如$(this)|   
         
   - destroy(id) 销毁方法，在被销毁的时候调用，需要去除这个id对应的options和相应的html等信息
   - getSelectDatas(id) 获取当前组件里被选中的信息
   - selectData(id,datas) 设置选中的数据。其中datas是需要选中的数据，必须是数组的形式
 ```   
   //自定义组件示例
 ```    